Bug 1026127 - [ALL_lang] Future date can be selected
[ALL_lang] Future date can be selected
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
4.0
Unspecified All
low Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Julie Pichon
Ami Jeain
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 20:09 EST by Mie Yamamoto
Modified: 2015-02-15 17:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:23:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Future date can be selected (176.09 KB, image/png)
2013-11-03 20:09 EST, Mie Yamamoto
no flags Details

  None (edit)
Description Mie Yamamoto 2013-11-03 20:09:53 EST
Created attachment 818858 [details]
Future date can be selected

Description of problem:
If the start date selected is in the past, you can select future date in the end date field without errors.


Version-Release number of selected component (if applicable): 4.0


How reproducible: 100%


Steps to Reproduce:
1.. Click on Admin-System Panel-Overview tab from the left side panel, 
2. Select the date in the past in the start date field.
3. Select the date in the future in the end date field

Actual results:
No error


Expected results:
Error should be displayed  (you selected a future date etc)


Additional info:
Comment 2 Julie Pichon 2013-11-12 09:59:18 EST
Could you explain why this is a problem, or why it is confusing? As far as I can tell, if selecting a date far into the future, there won't be any data to display therefore there shouldn't be any problem.

We could add a javascript check to prevent it, but I wonder if it's actually necessary - for instance if some machines are generating data in a timezone far away you could reasonably have data labelled for what is "tomorrow" for you.
Comment 3 Julie Pichon 2014-01-21 11:23:39 EST
Closing per comment 2.

Note You need to log in before you can comment on or make changes to this bug.